package ch.hslu.appe.inventory;

import ch.hslu.appe.inventory.model.Product;

/**
 * Inventory.
 * @author Christian
 */
public interface Inventory {

    /**
     * Activate the product.
     * @param product The product
     * @return Returns true on sucess, otherwise false
     */
    boolean activateProduct(Product product);

    /**
     * Alter the product.
     * @param product The product
     * @return Returns true on sucess, otherwise false
     */
    boolean alterProduct(Product product);

    /**
     * Deactivate the product.
     * @param product The product
     * @return Returns true on sucess, otherwise false
     */
    boolean deactivateProduct(Product product);

    /**
     * Gets a product.
     * @return Returns the product
     */
    Product getProduct();

    /**
     * Update the product.
     * @param product The product
     * @return Returns true on sucess, otherwise false
     */
    boolean updateProduct(Product product);

}
