package ch.hslu.appe.order.model;

import ch.hslu.appe.inventory.model.Product;

/**
 * Define a ProductPosition within a order.
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public final class OrderPosition {
    private int id;
    private Order order;
    private int position;
    private Product product;
    private int amount;
    private float price;
    private boolean outstanding;

    /**
     * Empty Default Constructor.
     */
    public OrderPosition() {
        // empty
    }

    /**
     * @return the amount
     */
    public int getAmount() {
        return amount;
    }

    /**
     * gets the unique order position id, generated by the database.
     * @return the id
     */
    public int getId() {
        return id;
    }

    /**
     * @return the order
     */
    public Order getOrder() {
        return order;
    }

    /**
     * @return the position
     */
    public int getPosition() {
        return position;
    }

    /**
     * @return the price
     */
    public float getPrice() {
        return price;
    }

    /**
     * @return the product
     */
    public Product getProduct() {
        return product;
    }

    /**
     * @return the outstanding
     */
    public boolean isOutstanding() {
        return outstanding;
    }

    /**
     * @param amount the amount to set
     */
    public void setAmount(final int amount) {
        this.amount = amount;
    }

    /**
     * sets the orderposition id.
     * @param id new orderposition id
     */
    public void setId(final int id) {
        this.id = id;
    }

    /**
     * @param order the orderid to set
     */
    public void setOrder(final Order order) {
        this.order = order;
    }

    /**
     * @param outstanding the outstanding to set
     */
    public void setOutstanding(final boolean outstanding) {
        this.outstanding = outstanding;
    }

    /**
     * @param position the position to set
     */
    public void setPosition(final int position) {
        this.position = position;
    }

    /**
     * @param price the price to set
     */
    public void setPrice(final float price) {
        this.price = price;
    }

    /**
     * @param product the product to set
     */
    public void setProduct(final Product product) {
        this.product = product;
    }

}
